main .section.half-carousel,
main .section .full-carousel {
    background: linear-gradient(
        to bottom,
        var(--color-light-gray-6) 100%,
        transparent 0%
    );
    margin: 0 auto;
}

.half-carousel .default-content-wrapper p,
.full-carousel .default-content-wrapper p {
    margin: 0;
    padding-bottom: 12px;
}

.half-carousel .default-content-wrapper p {
    font-size: 32px;
    color: var(--color-text-primary);
    font-weight: var(--font-weight-semibold);
}

.mtf .carousel-navigation-buttons {
    display: none !important;
}

.carousel {
    position: relative;
}

.carousel-60 .carousel-slides-container,
.carousel-80 .carousel-slides-container {
    position: relative;
    width: 100%;
    margin: auto;
}

.carousel.carousel-text .carousel-slides-container {
    width: 100%;
}

.carousel :hover {
    cursor: pointer;
}

.carousel .carousel-slides,
.carousel .carousel-slide-indicators {
    list-style: none;
    margin: 0;
    padding: 0;
}

.carousel .carousel-slides {
    display: flex;
    scroll-behavior: smooth;
    scroll-snap-type: x mandatory;
    overflow: scroll clip;
    scrollbar-width: none;
}

.carousel.carousel-text .carousel-slides {
    margin-left: 24px;
    margin-right: 24px;
}

.carousel .carousel-slides::-webkit-scrollbar {
    display: none;
}

.carousel .carousel-slide {
    flex: 0 0 100%;
    scroll-snap-align: start;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 100%;
}

 /* min-height: min(50vw, calc(100dvh - var(--header-height))); */

.carousel.carousel-text .carousel-slide {
    flex: 0 0 50%;
    scroll-snap-align: start;
    display: flex;
    flex-direction: unset;
    align-items: unset;
    justify-content: unset;
    min-height: auto;
    margin-top: 24px;
    margin-bottom: 48px;
    padding-left: 24px;
    cursor: auto;
}

.carousel .carousel-slide:has(.carousel-slide-content[data-align="center"]) {
    align-items: center;
}

.carousel .carousel-slide:has(.carousel-slide-content[data-align="right"]) {
    align-items: flex-end;
}

.carousel .carousel-slide .carousel-slide-image picture {
    position: absolute;
    inset: 0;
}

.carousel .carousel-slide .carousel-slide-image picture > img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.carousel .carousel-slide .carousel-slide-content {
    z-index: 1;
    margin: 68px;
    padding: 16px;
    color: var(--color-white);
    background-color: rgba(19 19 19 / 75%);
    position: relative;
    width: var(--slide-content-width, auto);
}

.carousel.carousel-text .carousel-slide .carousel-slide-content {
    z-index: 1;
    margin: 0;
    padding: 24px;
    border-radius: 8px;
    color: var(--color-dark-gray-6);
    background: var(--color-white);
    box-shadow: var(--primary-boxshadow);
    position: relative;
    width: var(--slide-content-width, auto);

    --slide-content-width: calc((100% - 24px) / 1);

    display: flex;
    flex-direction: column;
    justify-content: center;
}

.carousel.carousel-text .carousel-slide .carousel-slide-content > * {
    color: var(--color-text-secondary);
    font-size: 20px;
    font-style: normal;
    font-weight: var(--font-weight-semibold);
    line-height: 29px;
    margin: 0;
    min-height: 127px;
    display: flex;
    align-items: center;
}

.carousel .carousel-slide-indicators {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 3px;
    padding: 24px 12px 10px;
    line-height: 0;
}

.carousel .carousel-slide-indicator button {
    width: 8px;
    height: 8px;
    margin: 0;
    padding: 0;
    border-radius: 50%;
    background-color: var(--light-color);
    transition: background-color 0.2s;
}

.carousel .carousel-slide-indicator button:disabled,
.carousel .carousel-slide-indicator button:focus-visible {
    background-color: var(--color-primary);
    width: 25px;
    border-radius: 20px;
}

.carousel .carousel-navigation-buttons {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 12px;
    right: 12px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 1;
}

.carousel.carousel-text .carousel-navigation-buttons {
    left: 0;
    right: 0;
    z-index: 2;
    top: 45%;
}

/* stylelint-disable-next-line no-descending-specificity */
.carousel .carousel-navigation-buttons button {
    position: relative;
    width: 44px;
    height: 44px;
    margin: 0;
    border-radius: 50%;
    padding: 0;
    background-color: rgba(19 19 19 / 25%);
    transition: background-color 0.2s;
}

.carousel.carousel-text .carousel-navigation-buttons button {
    width: 32px;
    height: 32px;
    border-radius: unset;
}

.carousel.carousel-text .carousel-navigation-buttons button.slide-prev,
.carousel.carousel-text
    .carousel-navigation-buttons
    button.slide-next[aria-disabled="true"] {
    background-image: url("../../icons/arrow-left-sharp.svg");
    background-repeat: no-repeat;
    background-color: unset;
    transition: background-color 0.2s;
    padding: 0;
}

.carousel.carousel-text .carousel-navigation-buttons button.slide-next,
.carousel.carousel-text
    .carousel-navigation-buttons
    button.slide-next[aria-disabled="true"] {
    background-image: url("../../icons/arrow-left-sharp.svg");
    background-repeat: no-repeat;
    background-color: unset;
    transform: scaleX(-1);
    transition: background-color 0.2s;
    padding: 0;
}

.carousel.carousel-text
    .carousel-navigation-buttons
    button.slide-next[aria-disabled="false"] {
    background-image: url("../../icons/arrow-right-sharp.svg");
    transform: unset;
}

.carousel.carousel-text
    .carousel-navigation-buttons
    button.slide-prev[aria-disabled="false"] {
    background-image: url("../../icons/arrow-right-sharp.svg");
    transform: scaleX(-1);
}

.carousel .carousel-navigation-buttons button:hover,
.carousel .carousel-navigation-buttons button:focus-visible {
    background-color: rgba(19 19 19 / 75%);
}

.carousel .carousel-navigation-buttons button::after {
    display: block;
    content: "";
    border: 2px solid;
    border-bottom: 0;
    border-left: 0;
    height: 12px;
    width: 12px;
    position: absolute;
    top: 50%;
    left: calc(50% + 2px);
    transform: translate(-50%, -50%) rotate(-135deg);
}

.carousel.carousel-text .carousel-navigation-buttons button::after {
    content: unset;
}

.carousel .carousel-navigation-buttons button.slide-next::after {
    transform: translate(-50%, -50%) rotate(45deg);
    left: calc(50% - 2px);
}

.carousel.carousel-text .carousel-slide-indicators {
    display: none;
}

.carousel-container .default-content-wrapper h3 {
    font-weight: var(--font-weight-regular);
    line-height: normal;
    font-size: 40px;
    color: var(--text-seaction-heading);
    margin-top: 40px;
    margin-bottom: 40px;
}

.blog-page main .carousel.carousel-text .carousel-slide {
    margin-top: 0;
    margin-bottom: 5px;
}

.blog-page
    main
    .carousel.carousel-text
    .carousel-slide
    .carousel-slide-content
    > * {
    font-size: 16px;
    text-align: center;
    min-height: 90px;
}

.blog-page
    main
    .carousel.carousel-text
    .carousel-slide
    .carousel-slide-content {
    padding: 15px;
}



@media (width >= 600px) {
    main .section.half-carousel {
        background: linear-gradient(
            to bottom,
            var(--color-light-gray-6) 50%,
            transparent 50%
        );
        margin: 0 auto;
    }

    main .section.full-carousel {
        background: linear-gradient(
            to bottom,
            var(--color-light-gray-6) 100%,
            transparent 0%
        );
        margin: 0 auto;
    }

    .carousel-60 .carousel-slides-container {
        width: 60%;
    }

    .carousel-80 .carousel-slides-container {
        width: 80%;
    }

    .carousel .carousel-navigation-buttons {
        left: 24px;
        right: 24px;
    }

    .carousel .carousel-slide .carousel-slide-content {
        --slide-content-width: calc((100% - 184px) / 2);

        margin: 92px;
    }

    .carousel .carousel-slide .carousel-slide-content[data-align="justify"] {
        --slide-content-width: auto;
    }
}

@media (width < 768px) {
    .mtf .carousel-navigation-buttons {
        display: flex !important;
    }

    .carousel.carousel-text .carousel-slides-container {
        width: 100%;
    }

    .carousel.carousel-text .carousel-slides {
        margin-left: 4px;
        margin-right: 4px;
    }

    .carousel.carousel-text .carousel-slide {
        flex: 0 0 100%;
        padding-left: 28px;
        padding-right: 28px;
        margin-bottom: 32px;
    }

    .carousel.carousel-text .carousel-slide .carousel-slide-content {
        width: 100%;
        padding: 16px;
    }

    .carousel.carousel-text .carousel-slide .carousel-slide-content > * {
        font-size: 18px;
        min-height: unset;
    }

    .carousel.carousel-text .carousel-navigation-buttons {
        top: 50%;
    }

    .half-carousel .default-content-wrapper p {
        font-size: 14px;
        font-weight: var(--font-weight-bold);
    }

    .carousel .carousel-slide-indicators {
        padding: 16px 12px;
    }

    .carousel-container .default-content-wrapper h3 {
        font-size: 20px;
        line-height: 16px;
    }
}

